<%@ Page Language="c#" Inherits="Web.Wpdcc.login" CodeBehind="login.aspx.cs" ValidateRequest="true" %>
<!DOCTYPE html>

<!--
 _     _   _____   _____   _____        _____       ___   _____   _____  
| |   / / /  ___| |  ___| /  _  \      /  ___/     /   | |  ___| | ____| 
| |  / /  | |___  | |___  | | | |      | |___     / /| | | |__   | |__   
| | / /   |  _  \ \___  \ | |/| |      \___  \   / / | | |  __|  |  __|  
| |/ /    | |_| |  ___| | | |_| |       ___| |  / /  | | | |     | |___  
|___/     \_____/ \_____| \_____/      /_____/ /_/   |_| |_|     |_____| 

-->

<!--[if lt IE 9]><html class="lte-ie8"><![endif]-->
<!--[if gt IE 8]><!-->
<html>
<!--<![endif]-->
<head>
    <title>管理员入口</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="../Css/public.css" rel="stylesheet" type="text/css" />
    <link href="Css/adminlogin.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../js/jquery.js"></script>
    <script type="text/javascript" src="../js/md5.js"></script>

    <!--[if IE 6]>
    <script type="text/javascript" src="../js/DD_belatedPNG.js"></script>
    <script type="text/javascript">
        DD_belatedPNG.fix('.ie6pngfix');
    </script>
    <![endif]-->

    <script type="text/javascript">
         $(document).ready(function() {    
  	        // 这里写下面这个方法或事件的注释 
	        $("#btnlogin").click(function(){

	            var uid = $("#username").val();
                var upwd = $("#pwdtext").val();
                var uvc = $("#verifycode").val();
                if( uid == '')
                {
                    $("#error").html("<font color='red'>用户名不能为空!</font>");
                    return false ;
                }
                if( upwd == '')
                {
                    $("#error").html("<font color='red'>密码不能为空!</font>");
                    return false ;
                }
                if( uvc == '')
                {
                    $("#error").html("<font color='red'>验证码不能为空!</font>");
                    return false ;
                }
                 $("#password").val(hex_md5(upwd));              
                return true ;
             });
            
        }); 
    </script>

</head>
<body>
    <div class="wrap">
        <div class="header">
            <p class="p1">
                <asp:Label ID="webname" runat="server" Text=""></asp:Label></p>
            <p class="p2">
               设计控制后台</p>
            <!--/header-inner-->
        </div>
        <!--/header-->
        <div class="centerWrap ie6pngfix">
            <div class="center">
                <div class="login-box">
                    <form id="Form1" method="post" runat="server">
                    <p class="tipContainer">
                        <i class="loginAccount"></i>
                        <asp:TextBox ID="username" class="loginAccount loginText w345" runat="server" TextMode="SingleLine"
                            MaxLength="20" TabIndex="1"></asp:TextBox>
                    </p>
                    <p class="tipContainer">
                        <i class="loginPassword"></i>
                           <input type="password"class="loginPassword loginText w345" id="pwdtext" autocomplete="off"  TabIndex="2" />
                    </p>
                    <p class="tipContainer">
                        <i class="loginCode"></i>
                        <asp:TextBox ID="verifycode" class="loginCode loginText w203" runat="server" MaxLength="5"
                            autocomplete="off" TabIndex="3"></asp:TextBox>
                        <img id="codeimg" class="code" src="verifyimg.aspx" title="单击可换图" alt="" class="code"
                            onclick="this.src='verifyimg.aspx?v='+Math.random()" />
                    </p>
                    <asp:Button ID="btnlogin" class="btn" runat="server" Text="登  录" OnClick="btnlogin_Click"
                        TabIndex="4" />
                    <p>
                        <asp:Label ID="error" class="error" runat="server"></asp:Label>
                    </p> 
                    <asp:HiddenField ID="password" runat=server />
                    </form>
                </div>
                <!--/login-box-->
            </div>
            <!--/content-inner-->
        </div>
        <!--/content-->
        
        <div class="footer">
            浙江万朋教育科技股份有限公司 版权所有
        </div>
        <!--/footer-->

        <script>
            $(function(){
                //登录
	            $(".center .tip").each(function(){
		            if($(this).siblings(".loginText").val()!=""){
			            $(this).hide();
		            }
	            });
	            $(".center .tip,.center .loginText").focus(function(){
		            $(this).parent().find(".tip").hide();
	            });
	            $(".center .loginText").blur(function(){
		            if($(this).val()==""){
			            $(this).siblings(".tip").show();
		            }
	            });
            })
        </script>

    </div>
    <!--/wrapper-->
</body>
</html>
